%define        prefix     %(kde-config --prefix)
Name:          traverso
Version:       0.49.6
Release:       1mamba
Summary:       Cross Platform Multitrack Audio Recording and Editing Suite
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://web.archive.org/web/20220728101202/http://traverso-daw.org/
Source:        http://deb.debian.org/debian/pool/main/t/traverso/traverso_%{version}.orig.tar.gz
#Source0:       http://traverso-daw.org/download/releases/current/traverso-%{version}.tar.gz
Source1:       %{name}-0.42.0-fpucc.tar.bz2
Patch0:        %{name}-0.42.0-fix.patch
## opengl support
Patch1:        %{name}-0.42.0-fix-options.patch
Patch2:        %{name}-0.42.0-fix-fpu.patch
Patch3:        %{name}-0.42.0-desktops.patch
Patch4:        %{name}-0.49.1-cmake-2.6.4-ftbfs-fix-nmu.patch
Patch5:        %{name}-0.49.2-raptor2.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libfftw-devel
BuildRequires: libflac-devel
BuildRequires: libgcc
BuildRequires: libjack-devel
BuildRequires: liblame-devel
BuildRequires: liblilv-devel
BuildRequires: libmad-devel
BuildRequires: libogg-devel
BuildRequires: libsamplerate-devel
BuildRequires: libserd-devel
BuildRequires: libsndfile-devel
BuildRequires: libsord-devel
BuildRequires: libsratom-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvorbis-devel
BuildRequires: libwavpack-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libportaudio-devel
BuildRequires: desktop-file-utils
BuildRequires: libslv2-devel

%description
Traverso is a free, cross platform multitrack audio recording and editing suite, with an innovative and easy to master User Interface. It's suited for both the professional and home user, who needs a robust and solid DAW.

%package static
Summary:   %{name} static libraries
Group:     Development/Libraries
Requires: %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description static
%{name} is a free, cross platform multitrack audio recording and editing suite, with an innovative and easy to master User Interface. It's suited for both the professional and home user, who needs a robust and solid DAW.
This package contains static libraries needed for development.

%debug_package

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1

sed -i "s|:/traverso_|:%{_datadir}/%{name}/traverso_|" src/traverso/Main.cpp
sed -i "s|wavpack/wavpack.h|%{_includedir}/wavpack/wavpack.h|" CMakeLists.txt
chmod -x ChangeLog INSTALL TODO

%build
%cmake -d build \
	-DWANT_MP3_DECODE=ON \
	-DWANT_MP3_ENCODE=ON
#      	-DWANT_DEBUG=ON

make clean && %make

# DO NOT USE
#	-DWANT_PCH=ON \
#	-DWANT_OPENGL=ON 
#	-DWANT_TRAVERSO_DEBUG=ON 
#	-DUSE_SYSTEM_SLV2_LIBRARY=ON 

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%makeinstall -C build
install -D -m 0755 build/bin/%{name} %{buildroot}%{_bindir}/%{name}
install -D -m 0755 resources/images/traverso-logo.svg %{buildroot}%{_datadir}/icons/gnome/scalable/apps/%{name}-logo.svg
install -D -m 0755 resources/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
rm resources/images/traverso-logo.svg -f
mkdir -p %{buildroot}%{_datadir}/%{name}/themes
cp -a resources/themes/* %{buildroot}%{_datadir}/%{name}/themes
cp -a resources/projectconversion %{buildroot}%{_datadir}/%{name}
cp -a resources/images  %{buildroot}%{_datadir}/%{name}

install -m 644 resources/translations/%{name}_*.qm %{buildroot}%{_datadir}/%{name}
install -m 644 resources/*.xml %{buildroot}%{_datadir}/%{name}
install -m 644 resources/help.text %{buildroot}%{_datadir}/%{name}
install -m 644 resources/README %{buildroot}%{_datadir}/%{name}
install -m 755 resources/%{name}.desktop %{buildroot}%{_datadir}/%{name}

for size in 128x128 64x64 48x48 24x24 16x16 ; do
	mkdir -p %{buildroot}%{_datadir}/icons/hicolor/$size/apps
	install -m 644  resources/freedesktop/icons/$size/apps/*.png %{buildroot}%{_datadir}/icons/hicolor/$size/apps
done

for size in 128x128 64x64 48x48 24x24 16x16 ;do
	mkdir -p %{buildroot}%{_datadir}/icons/gnome/$size/mimetypes
	install -m 644 resources/freedesktop/icons/$size/mimetypes/*.png %{buildroot}%{_datadir}/icons/gnome/$size/mimetypes
done

mkdir -p %{buildroot}%{_datadir}/icons/gnome/scalable/apps
mkdir -p %{buildroot}%{_datadir}/icons/gnome/scalable/mimetypes

install -m 644  resources/freedesktop/icons/scalable/apps/%{name}.svg %{buildroot}%{_datadir}/icons/gnome/scalable/apps
install -m 644  resources/freedesktop/icons/scalable/mimetypes/gnome-mime-application-x-traverso.svg %{buildroot}%{_datadir}/icons/gnome/scalable/mimetypes

mkdir -p %{buildroot}%{_libdir}/%{name}
install -m 0644 build/lib/*.a %{buildroot}%{_libdir}/%{name}


%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.xml
%{_datadir}/%{name}/help.text
%{_datadir}/%{name}/README
%{_datadir}/%{name}/%{name}.desktop
%{_datadir}/%{name}/themes
%{_datadir}/%{name}/projectconversion
%{_datadir}/%{name}/images
%{_datadir}/%{name}/%{name}_*.qm
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/icons/gnome/*x*/mimetypes/*.png
%{_datadir}/icons/gnome/scalable/apps/%{name}.svg
%{_datadir}/icons/gnome/scalable/apps/%{name}-logo.svg
%{_datadir}/icons/gnome/scalable/mimetypes/gnome-mime-application-x-traverso.svg
%doc AUTHORS COPYING

%files static
%defattr(-,root,root)
%{_libdir}/%{name}/*.a
%doc ChangeLog README TODO

%changelog
* Sat Nov 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.49.6-1mamba
- update to 0.49.6

* Sat Oct 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.49.2-2mamba
- rebuilt with librasqal 3

* Wed Oct 27 2010 Automatic Build System <autodist@mambasoft.it> 0.49.2-1mamba
- automatic update by autodist

* Thu Jun 03 2010 Automatic Build System <autodist@mambasoft.it> 0.49.1-2mamba
- automatic rebuild by autodist

* Thu Apr 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.49.1-1mamba
- automatic update by autodist

* Sun Dec 07 2008 gil <puntogil@libero.it> 0.42.0-2mamba
- added librdf (libredland) support

* Tue Aug 26 2008 gil <puntogil@libero.it> 0.42.0-1mamba
- package created by autospec
